Package org.apache.sysds.api

## Class ScriptExecutorUtils

- java.lang.Object
- - org.apache.sysds.api.ScriptExecutorUtils

    public class ScriptExecutorUtils
    extends Object

### Constructor Summary

Constructors
`ScriptExecutorUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `executeRuntimeProgram​(ScriptExecutor se, int statisticsMaxHeavyHitters)` Execute the runtime program.
`static void` `executeRuntimeProgram​(Program rtprog, ExecutionContext ec, DMLConfig dmlconf, int statisticsMaxHeavyHitters, Set<String> outputVariables)` Execute the runtime program.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptExecutorUtils

    public ScriptExecutorUtils()

### Method Detail

#### executeRuntimeProgram

    public static void executeRuntimeProgram​(ScriptExecutor se,
                                             int statisticsMaxHeavyHitters)

Execute the runtime program. This involves execution of the program blocks that make up the runtime program and may involve dynamic recompilation.

Parameters:
  `se` - script executor
  `statisticsMaxHeavyHitters` - maximum number of statistics to print

#### executeRuntimeProgram

    public static void executeRuntimeProgram​(Program rtprog,
                                             ExecutionContext ec,
                                             DMLConfig dmlconf,
                                             int statisticsMaxHeavyHitters,
                                             Set<String> outputVariables)

Execute the runtime program. This involves execution of the program blocks that make up the runtime program and may involve dynamic recompilation.

Parameters:
  `rtprog` - runtime program
  `ec` - execution context
  `dmlconf` - dml configuration
  `statisticsMaxHeavyHitters` - maximum number of statistics to print
  `outputVariables` - output variables that were registered as part of MLContext